## laniakea 0.1.1

=== meson_options.txt ===
# Build options for Laniakea

#
# Test flags
#
option('linting',
    type: 'boolean',
    value: true,
    description: 'Enable code linters we want to run for static analysis.'
)
option('mypy-install-types',
    type: 'boolean',
    value: true,
    description: 'Make MyPy automatically install missing type stubs.'
)

#
# Build config flags
#
option('virtualenv',
    type: 'string',
    value: '',
    description: 'Path to a Python virtualenv to use for services'
)

#
# Feature flags
#
option('docs',
    type: 'boolean',
    value: false,
    description: 'Enable target to build HTML documentation'
)
option('cli-admin',
    type: 'boolean',
    value: true,
    description: 'Build CLI administration tools'
)
option('lighthouse',
    type: 'boolean',
    value: true,
    description: 'Build Lighthouse message relay and queue service'
)
option('scheduler',
    type: 'boolean',
    value: true,
    description: 'Build archive management and maintenance task scheduler daemon'
)
option('mailgun',
    type: 'boolean',
    value: false,
    description: 'E-mail message emitter'
)
option('debcheck',
    type: 'boolean',
    value: true,
    description: 'Build dose/debcheck integration helper binary'
)
option('rubicon',
    type: 'boolean',
    value: true,
    description: 'Build rubicon upload accepting tool'
)
option('webupload',
    type: 'boolean',
    value: true,
    description: 'Web upload service'
)
option('webgui',
    type: 'boolean',
    value: true,
    description: 'Build the web interfaces'
)
option('spears',
    type: 'boolean',
    value: true,
    description: 'Build the "Spears" Britney2 package migration integration'
)
option('synchrotron',
    type: 'boolean',
    value: true,
    description: 'Build the package synchronization module'
)
option('planter',
    type: 'boolean',
    value: true,
    description: 'Build the "Planter" metapackage seed / Germinator integration'
)
option('mirk',
    type: 'boolean',
    value: false,
    description: 'Enable the "mIrk" Matrix messaging bot'
)
