=== tests/test_data/packages/overlays/main-contrib-with-debug/Makefile ===

default: test

clean:
	rm -f test
