=== debian/changelog ===
laniakea (0.1.1-1) unstable; urgency=medium

  * Initial release (Closes: #1060284)

 -- Matthias Klumpp <mak@debian.org>  Wed, 04 Feb 2026 11:54:06 +0100
