=== debian/control ===
Source: laniakea
Section: utils
Maintainer: Matthias Klumpp <mak@debian.org>
Build-Depends: debhelper-compat (= 13),
               dh-python,
               apt-utils,
               black,
               bubblewrap,
               flake8,
               gir1.2-appstream-1.0,
               git,
               gpg,
               isort,
               meson,
               mypy,
               ninja-build,
               pkgconf,
               pybuild-plugin-pyproject,
               pylint,
               python3,
               python3-alembic,
               python3-apscheduler,
               python3-apt,
               python3-click,
               python3-cryptography,
               python3-debian,
               python3-firehose,
               python3-flask,
               python3-flask-caching,
               python3-flask-login,
               python3-flask-rebar,
               python3-gi,
               python3-humanize,
               python3-jinja2,
               python3-marshmallow,
               python3-mautrix,
               python3-mesonpy,
               python3-nacl,
               python3-pebble,
               python3-pip,
               python3-psycopg2,
               python3-pylint-flask,
               python3-pytest,
               python3-pytest-flask,
               python3-pytz,
               python3-requests,
               python3-rich,
               python3-setproctitle,
               python3-sqlalchemy (>= 2.0),
               python3-systemd,
               python3-tomlkit (>= 0.8.0),
               python3-tornado,
               python3-typeshed,
               python3-voluptuous,
               python3-yaml,
               python3-zmq,
               systemd-dev,
               xsltproc
Standards-Version: 4.7.3
Homepage: https://github.com/lkhq/laniakea
Vcs-Git: https://salsa.debian.org/laniakea-team/laniakea.git
Vcs-Browser: https://salsa.debian.org/laniakea-team/laniakea

Package: python3-laniakea
Section: python
Architecture: all
Depends: adduser,
         bubblewrap,
         gir1.2-appstream-1.0,
         ${misc:Depends},
         ${python3:Depends}
Description: Management suite for Debian-based OSes -- Python module
 Laniakea is a software suite to manage Debian derivatives. It provides
 tooling to maintain an APT archive (and multiple individual package
 repositories), perform QA on it, autobuild packages, sync packages,
 etc. It also provides various tools for better insight into the archive.
 .
 This package contains the shared Python module which provides the database
 schema, message schema and common archive actions.

Package: laniakea-server
Architecture: all
Depends: adduser,
         apt-utils,
         dose-builddebcheck,
         dose-distcheck,
         postgresql,
         python3-laniakea,
         ${misc:Depends},
         ${python3:Depends}
Recommends: lintian,
            postgresql-18-debversion
Description: Management suite for Debian-based OSes -- Privileged Server
 Laniakea is a software suite to manage Debian derivatives. It provides
 tooling to maintain an APT archive (and multiple individual package
 repositories), perform QA on it, autobuild packages, sync packages,
 etc. It also provides various tools for better insight into the archive.
 .
 This package contains many of the privileged server components that require
 write-access to the Postgres database of Laniakea.
 .
 Laniakea requires to be manually configured for the respective environment
 before this package will do anything.
 Refer to the documentation on how to set up the database and environment.

Package: laniakea-webdash
Architecture: all
Depends: postgresql-client,
         python3-laniakea,
         ${misc:Depends},
         ${python3:Depends}
Description: Management suite for Debian-based OSes -- Web Dashboard
 Laniakea is a software suite to manage Debian derivatives. It provides
 tooling to maintain an APT archive (and multiple individual package
 repositories), perform QA on it, autobuild packages, sync packages,
 etc. It also provides various tools for better insight into the archive.
 .
 This package contains a web dashboard application that displays the
 status of the archive suites as well as various developer information.

Package: laniakea-webswview
Architecture: all
Depends: postgresql-client,
         python3-laniakea,
         ${misc:Depends},
         ${python3:Depends}
Description: Management suite for Debian-based OSes -- Web Software Index
 Laniakea is a software suite to manage Debian derivatives. It provides
 tooling to maintain an APT archive (and multiple individual package
 repositories), perform QA on it, autobuild packages, sync packages,
 etc. It also provides various tools for better insight into the archive.
 .
 This package contains a web application that allows searching for
 applications and packages in the software archive.

Package: laniakea-webupload
Architecture: all
Depends: python3-flask,
         python3-laniakea,
         ${misc:Depends},
         ${python3:Depends}
Description: Management suite for Debian-based OSes -- HTTP Upload Receiver
 Laniakea is a software suite to manage Debian derivatives. It provides
 tooling to maintain an APT archive (and multiple individual package
 repositories), perform QA on it, autobuild packages, sync packages,
 etc. It also provides various tools for better insight into the archive.
 .
 This package contains a small webserver application that accepts uploads
 that were pushed using dput(1) and places them in a safe location for
 Rubicon to check.

Package: laniakea-mailgun
Architecture: all
Depends: default-mta | mail-transport-agent | postfix,
         python3-jinja2,
         python3-laniakea,
         ${misc:Depends},
         ${python3:Depends}
Description: Management suite for Debian-based OSes -- E-Mail Sender
 Laniakea is a software suite to manage Debian derivatives. It provides
 tooling to maintain an APT archive (and multiple individual package
 repositories), perform QA on it, autobuild packages, sync packages,
 etc. It also provides various tools for better insight into the archive.
 .
 This package contains a service that listens on the Laniakea ZeroMQ
 message stream and sends e-mails to users or mailinglist if the events
 fulfill certain criteria.

Package: laniakea-mirk
Architecture: all
Depends: python3-jinja2,
         python3-laniakea,
         ${misc:Depends},
         ${python3:Depends}
Description: Management suite for Debian-based OSes -- Matrix Bot
 Laniakea is a software suite to manage Debian derivatives. It provides
 tooling to maintain an APT archive (and multiple individual package
 repositories), perform QA on it, autobuild packages, sync packages,
 etc. It also provides various tools for better insight into the archive.
 .
 This package contains a Matrix bot that listens on the Laniakea ZeroMQ
 message stream and posts messages to Matrix chat rooms if the fulfill
 certain criteria.
