=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
#export DH_VERBOSE=1

LANIAKEA_CONFIGURE_FLAGS = \
			-Dmailgun=true \
			-Dmirk=true

INSTALLDIR = $(CURDIR)/debian/tmp

%:
	dh $@ --with python3 --buildsystem=meson


override_dh_auto_configure:
	dh_auto_configure -- $(LANIAKEA_CONFIGURE_FLAGS)

override_dh_auto_test:
	# The full testsuite spawns a Postgres container via podman,
	# we can't run it at build-time but run it as autopkgtest instead.
	dh_auto_test -- --no-suite integration

override_dh_python3:
	dh_python3 -planiakea-mailgun /usr/lib/laniakea/mailgun/
	dh_python3 -planiakea-mirk --requires requirements.matrix.txt /usr/lib/laniakea/mirk/
	dh_python3 -ppython3-laniakea --requires requirements.base.txt
	dh_python3
