=== debian/tests/control ===
Tests: laniakea-pytest
Depends: podman,
         @builddeps@
Restrictions: allow-stderr,
              isolation-machine,
              needs-internet,
              rw-build-tree
