=== debian/watch ===
Version: 5
Source: https://api.github.com/repos/lkhq/laniakea/releases?per_page=100
Matching-Pattern: https://github.com/lkhq/laniakea/releases/download/v.*/laniakea-@ANY_VERSION@_fullsrc.tar.xz
Searchmode: plain
